#
# For a description of the syntax of this configuration file,
# see misc/tools/kconfig-language.txt.
#

config FS_NXFFS
	bool "NXFFS file system"
	default n
	depends on !DISABLE_MOUNTPOINT
	---help---
		Enable NuttX FLASH file system (NXFF) support.

if FS_NXFFS

config NXFFS_PREALLOCATED
	bool "Single, preallocated volume"
	default n
	---help---
		If CONFIG_NXFSS_PREALLOCATED is defined, then this is the single, pre-
		allocated NXFFS volume instance.

config NXFFS_ERASEDSTATE
	hex "FLASH erased state"
	default 0xff
	---help---	
		The erased state of FLASH. 
		This must have one of the values of 0xff or 0x00.
		Default: 0xff.

config NXFFS_PACKTHRESHOLD
	int "Re-packing threshold"
	default 32
	---help---
		When packing flash file data,
		don't both with file chunks smaller than this number of data bytes.
		Default: 32.

config NXFFS_MAXNAMLEN
	int "Maximum file name length"
	default 255
	---help---	
		The maximum size of an NXFFS file name.
		Default: 255.

config NXFFS_TAILTHRESHOLD
	int "Tail threshold"
	default 8192
	---help---	
		clean-up can either mean
		packing files together toward the end of the file or, if file are
		deleted at the end of the file, clean up can simply mean erasing
		the end of FLASH memory so that it can be re-used again.  However,
		doing this can also harm the life of the FLASH part because it can
		mean that the tail end of the FLASH is re-used too often. This
		threshold determines if/when it is worth erased the tail end of FLASH
		and making it available for re-use (and possible over-wear).
		Default: 8192.

endif
